Subject: [os2genau_digest] No. 300
From: Digest <newsatos2site dot com>
To: "OS/2GenAu Digest" <deadmail>
Date: Tue, 19 Mar 2002 00:28:56 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 18 March 2002
 Number  300
**************************************************

1  [os2genau] Rexx question : os2genauatos2 dot org dot au
2  Re: [os2genau] Rexx question : os2genauatos2 dot org dot au
3  [os2genau] CP2 No CD : os2genauatos2 dot org dot au
4  Re: [os2genau] Rexx question : os2genauatos2 dot org dot au
5  Re: [os2genau] CP2 No CD : os2genauatos2 dot org dot au
6  [os2genau] Joke on Symantec security site. : os2genauatos2 dot org dot au
7  Re: [os2genau] Mozilla alterations : os2genauatos2 dot org dot au
8  Re: [os2genau] Mozilla alterations : os2genauatos2 dot org dot au

**= 1 ==================Separator===================**

Date:  Mon, 18 Mar 2002 05:26:14 +1100 (EDT)
From:  "Ian Manners" <newsatos2site dot com>
Subject:  [os2genau] Rexx question

Hi all

I have hacked a rexx script to remove HTML and quotedprintable,
and do a heap of other stuff on, including incrementing
digest seperator lines with numbers and subject headers.

I have one small problem that I cant resolve.

How do I get the script to read in a directory listing, place that
listing into a queue, and then carry out a procedure on each
line in the queue, ie 

'dir /f H:\apps\weasel\mailroot\98os2s43h456tb6 | rxqueue 'DIRLISTQ

Then I can strip, or leave the drive and path information but I
still cant get a line at a time (the filename, ie, sjk10394.msg) into
a variable that I can run the procedure on.

ie

call CleanUp(MsgFile)

I want to have MsgFile = 'incrementedlineread'

Cheers
Ian B Manners
http://www.os2site dot com/

**= 2 ==================Separator===================**

Date:  Mon, 18 Mar 2002 12:32:30 +0800
From:  bob <bobatcontact.omen dot com dot au>
Subject:  Re: [os2genau] Rexx question

On Mon, 18 Mar 2002 02:26, Ian Manners wrote:
<snp> 
>How do I get the script to read in a directory listing, place that
> listing into a queue, and then carry out a procedure on each
> line in the queue, ie

Have you looked at SysFileTree() ? You have to parse the output a bit but it 
explicitly gives you stemed variables to work with.

Here's a sample from one I wrote _many_ years ago to help keep the BBS tidy 
:).

call SysFileTree '*data.*' , 'files' , 'FT'
/* create an array of the files  */
do i = 1 to files.0            /* itterate each file  */
    say files.i                /* display file name   */
    parse value files.i with yy'/'mo'/'da'/'hh'/'mi size attrib fpan
          /* parse each element as it comes past  */
        year=yy+1900 /# oops. Not Y2K #/
        filedate= jdate(year,mo,da)      /* convert to julian*/
        say 'the files julian number is 'filedate
        fpan= strip(fpan)
        if filedate < killdate then     
	do
         rc =  SysFileDelete(fpan)  /* indicate what */
        say 'I have killed 'fpan         /* action will take place  */
            end /* if then  */
        else do
        say  fpan' is OK. It has 'filedate-killdate' days remaining'
            end /* else  */

> Cheers
> Ian B Manners
> http://www.os2site dot com/

-- 
And on the eighth day, we bulldozed it.

**= 3 ==================Separator===================**

Date:  Mon, 18 Mar 2002 17:18:40 +0930
From:  brianbatkdfisher dot com dot au
Subject:  [os2genau] CP2 No CD

Hi all,
Has anyone installed Convenience Pack Ver 4.52
and still had a functioning CD drive?

I have done it on two different machines, with diferent hardware,
and the system refuses to find anything on CD.

The rest of the system is fine but it's as much use
as a screen door on a submarine if the CD can't be used.
-----------------------------------------
Brian Butler
System Administrator
brianbatkdfisher dot com dot au

**= 4 ==================Separator===================**

Date:  Mon, 18 Mar 2002 15:49:59 +1000 (EST)
From:  "John Angelico" <talldadatkepl dot com dot au>
Subject:  Re: [os2genau] Rexx question

On Mon, 18 Mar 2002 05:26:14 +1100 (EDT), Ian Manners wrote:

Hi Ian.

An answer from my son Chris:

Some things to try:
/* Make the appropriate queue current - or just use the default SESSION
queue */
"dir /f .... |rxqueue /fifo"
DO WHILE QUEUED()>0 
/* or DO QUEUED() but if something else touches the queue this method might
pause for user input */
	PARSE PULL FILE
	CALL CLEANUP FILE 
/* Note: no () on CALL - if only one arg this won't cause trouble (it's
like saying SAY (1+2) instead of SAY 1+2), but if you add another arg it
has to go _outside_ the parens - counterintuitive. */
END

Hope this helps 

Best regards
John Angelico
OS/2 SIG
talldadatmelbpc dot org dot au or talldadatkepl dot com dot au
____________________________________________

>Hi all
>
>I have hacked a rexx script to remove HTML and quotedprintable,
>and do a heap of other stuff on, including incrementing
>digest seperator lines with numbers and subject headers.
>
>I have one small problem that I cant resolve.
>
>How do I get the script to read in a directory listing, place that
>listing into a queue, and then carry out a procedure on each
>line in the queue, ie 
>
>'dir /f H:\apps\weasel\mailroot\98os2s43h456tb6 | rxqueue 'DIRLISTQ
>
>Then I can strip, or leave the drive and path information but I
>still cant get a line at a time (the filename, ie, sjk10394.msg) into
>a variable that I can run the procedure on.
>
>ie
>
>call CleanUp(MsgFile)
>
>I want to have MsgFile = 'incrementedlineread'
>
>
>Cheers
>Ian B Manners
>http://www.os2site dot com/
>

> 

>
>

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Perforation is a rip off.

**= 5 ==================Separator===================**

Date:  Mon, 18 Mar 2002 19:45:06 +1100
From:  Ed Durrant <edurrantatbigpond dot net dot au>
Subject:  Re: [os2genau] CP2 No CD

Are you using the IBM CD drivers & IDE drivers or Danis ?? If the latter
are you using the latest versions from Dani ?

Cheers/2

Ed. 

brianbatkdfisher dot com dot au wrote:
> 
> Hi all,
> Has anyone installed Convenience Pack Ver 4.52
> and still had a functioning CD drive?
> 
> I have done it on two different machines, with diferent hardware,
> and the system refuses to find anything on CD.
> 
> The rest of the system is fine but it's as much use
> as a screen door on a submarine if the CD can't be used.
> -----------------------------------------
> Brian Butler
> System Administrator
> brianbatkdfisher dot com dot au
> 

>  

**= 6 ==================Separator===================**

Date:  Mon, 18 Mar 2002 19:59:04 +1100
From:  "Robert Traynor  (BobT)" <rtraynoratoptushome dot com dot au>
Subject:  [os2genau] Joke on Symantec security site.

Hi all,
I am currently in that MS product (blush) Win2000, with ZoneAlarm etc.
I went to Symantec's website to try out their security website test.

I got the following result after a seemingly successful test.
They did NOT get into my system. :-)
http://security1.norton dot com/ssc/home.asp?j=1&langid=us&venid=sym&plfid=22&pkj=HFBTPSOERZOMQCKMRKR

Quote on:-
Some scans did not complete 
 
Please note that the following scans were not able to complete because 
they require Microsoft Internet Explorer 4.01 or newer with ActiveX 
and Scripting enabled: 

Antivirus Product Scan 
Antivirus Definition Scan 
Browser Privacy Scan 

Why these scans did not complete for you: 
ActiveX support may be disabled in your browser settings or you 
chose not to download the ActiveX control.

To run these scans modify your browser's settings to comply with 
the site requirements, then click <link deleted> here to run the Scan for Security Risks again.

Quote off

Well, first I have IE 6.01, no activeX and scripting is severly inhibited.
Outlook Express has been deleted as has MS Media Player 7.1.
In short most of the really sus bits have been deleted, not installed or turned off.
Their dumb test could not even determine wether or not I was using IE6 or Netscape 4.79.

I actually got the same results from both browsers in win2000.

I also might add that I did not have Norton AntiVirus installed either.
I wonder if Norton AntiVirus is actually spyware.?

Regards and appologies for exposing the group to MS influence.
Robert Traynor (BobT).
18 March 2002   19:51

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynoratnetstra dot com dot au
 \_,--.x/ 

**= 7 ==================Separator===================**

Date:  Mon, 18 Mar 2002 22:07:03 -0500 (EST)
From:  "amoht" <amohtatozemail dot com dot au>
Subject:  Re: [os2genau] Mozilla alterations

On Sun, 17 Mar 2002 10:54:10 +1100, Ed Durrant wrote:

>These are both command line switches - i.e. if you want to use an icon,
>you'll need to create it yourself.
>
>The -turbo option loads certain DLL so that they stay in memory. When
>you
>then start Mozilla without any options, it loads quicker. Note -turbo

Tried the command line switch. Works well and no problem shutting down. 

Now, How do I make an icon to execute this function?. I used the template for icon but couldn't see anyway 
to do this. also tried other templates with no success.

Also can someone give me an answer to my first question?

(1)   I have added the following line to  prefs.js
user_pref("os2.emulate.windows", true);
Can I add the same to Mozilla's prefs.js  so that it can access sites that can only be viewed by Win Explorer?

Cheers

Alan Duval

**= 8 ==================Separator===================**

Date:  Mon, 18 Mar 2002 23:34:52 +1100 (EDT)
From:  "David Forrester" <davidforatterrigal dot net dot au>
Subject:  Re: [os2genau] Mozilla alterations

On Mon, 18 Mar 2002 22:07:03 -0500 (EST), amoht wrote:

>On Sun, 17 Mar 2002 10:54:10 +1100, Ed Durrant wrote:
>
>>These are both command line switches - i.e. if you want to use an icon,
>>you'll need to create it yourself.
>>
>>The -turbo option loads certain DLL so that they stay in memory. When
>>you
>>then start Mozilla without any options, it loads quicker. Note -turbo
>
>Tried the command line switch. Works well and no problem shutting down. 
>
>Now, How do I make an icon to execute this function?. I used the template for icon but couldn't see anyway 
>to do this. also tried other templates with no success.

Create a program object with:
- mozilla.exe as the program name.  You probably will need the path as
well
- "-turbo" as the parameter (no quotes)
- the directory that mozilla.exe is in as the working directory.

>
>Also can someone give me an answer to my first question?
>
>(1)   I have added the following line to  prefs.js
>user_pref("os2.emulate.windows", true);
>Can I add the same to Mozilla's prefs.js  so that it can access sites that can only be viewed by Win Explorer?

I doubt if this will work with Mozilla.  This was an OS/2 only thing,
and in Mozilla, you can do it on all platforms.  The statement to add
is (grabbed from http://www.os2bbs dot com/os2news/Warpzilla.html):

user_pref("general.useragent.override", "Mozilla/4.61 [en] (OS/2; U)");

What's in the second set of quotes is sent as the user agent.  That's
what Netscape 4.61 on OS/2 will report.  To get Mozilla to be reported
as IE or a Windows version of Mozilla or Netscape, you need to find out
what their user agent strings are.  I don't have a list of them, but,
if you go to the page
http://www.webreference dot com/tools/browser/javascript.html using the
appropriate browser (or get a friend to do it), it will display the
useragent for you.  There are other pages out there that do this, but,
this was the first one that I found using Google.  Also, the above page
has a link to a list of them at the bottom.

Also, a very interesting thing that Google found was at
http://uabar.mozdev dot org/.  This is an addon to Mozilla that adds a bar
to the window where you can enter the useragent!  It installed OK, and
when I restarted Mozilla the bar was there (a drop-down with a list of
common agents), but, unfortunately, it didn't change the reported
useragent.  This was with the nightly from 2002031708.  It doesn't seem
to have been updated for a a few weeks, so I might dig out 0.9.8 and
see if it worked with that.

--
David Forrester
davidforatterrigal dot net dot au
http://www.os2world dot com/djfos2/